cls
@echo off
echo            ͸
echo                   MoneyMizer 2.6 Upgrade Batch File      
echo                                                          
echo             WARNING!! You must be in the MoneyMizer HOME 
echo             directory when running this bat file.        
echo                                                          
echo                                                          
echo             If you are currently in the MoneyMizer HOME  
echo             directory then continue execution of this    
echo             bat file. Otherwise press control c to abort.
echo                                                          
echo                      Control C to ABORT                  
echo            ;
echo 
cd
echo on
Pause If this is NOT the MoneyMizer Home directory then press control C
echo off
cls
echo 
echo            ͸
echo                   MoneyMizer 2.6 Upgrade Batch File      
echo                                                          
echo             WARNING!! Did you BACKUP the MoneyMizer HOME 
echo             directory.                                   
echo                       If you DID NOT then                
echo                             press                        
echo                       Control C to ABORT                 
echo                             and                          
echo                      perform a BACKUP to A:              
echo                     then restart upgrade.bat             
echo                                                          
echo            ;
echo 
cd
Pause
cls
cls
echo            ͸
echo             Deleting OLD backup files from previous      
echo             upgrade.                                     
echo                                                          
echo              Backup                                      
echo             budget.bak (budget database)                 
echo             note.bak   (notepad date)                    
echo             remind.bak (reminders)                       
echo             setup.bak  (setup data)                      
echo             card.bak   (card file data)                  
echo                                                          
echo                      Control C to ABORT                  
echo            ;
echo 
pause
echo on
del budget.bak
del note.bak
del remind.bak
del setup.bak
del card.bak
echo off
pause
cls
echo            ͸
echo             Renaming the following files to backup files 
echo                                                          
echo              File         Backup                         
echo             budget.bb----budget.bak  (budget database)   
echo             note.dbt-----note.bak   (notepad date)       
echo             remind.dbb---remind.bak (reminders)          
echo             setup.dbt----setup.bak  (setup data)         
echo             card.dbt-----card.bak   (card file data)     
echo                                                          
echo                      Control C to ABORT                  
echo            ;
echo 
pause
echo on
rename budget.bb   budget.bak
rename note.dbt    note.bak
rename remind.dbb  remind.bak
rename setup.dbt   setup.bak
rename card.dbt    card.bak
echo off
pause
cls
echo            ͸
echo             I will now attempt to pkunzip the following  
echo             files.                                       
echo                       mizer26d.zip                       
echo                       mizer261.zip                       
echo                       mizer262.zip                       
echo                       mizer263.zip                       
echo                                                          
echo             If pkunzip cannot be found via the current   
echo             path. Then errors will occur.                
echo             If errors occur then CONTINUE with the       
echo             execution of upgrade.bat. Fix the problem    
echo             with pkunzip then re-run upgrade.bat         
echo                                                          
echo            ;
echo 
pause
echo on
pkunzip -o mizer26d.zip
pkunzip -o mizer261.zip
pkunzip -o mizer262.zip
pkunzip -o mizer263.zip
pause
echo off
cls
echo            ͸
echo             Copying the following from the backup files  
echo                                                          
echo              Backup       File                           
echo             budget.bak----budget.bb  (budget database)   
echo             note.bak-----note.dbt   (notepad date)       
echo             remind.bak---remind.dbb (reminders)          
echo             setup.bak----setup.dbb  (setup data)         
echo             card.bak-----card.dbt   (card file data)     
echo                                                          
echo                      Control C to ABORT                  
echo            ;
echo 
pause
echo on
copy budget.bak   budget.bb
copy note.bak     note.dbt
copy remind.bak   remind.dbb
copy setup.bak    setup.dbt
copy card.bak     card.dbt
echo off
pause
